version: '3'

services:
  ds-application-1:
    container_name: ds-application-1
    image: ds/app:v1

  ds-application-2:
    container_name: ds-application-2
    image: ds/app:v1

  ds-webserver-1:
    container_name: ds-webserver-1
    image: ds-webapp:v1

  ds-database:
    container_name: ds-database
    image: mongo
    restart: always
    ports:
      - "27017:27017"

  loadbalancer:
    container_name: nginxapp
    image: nginxapp
    restart: always
    ports:
      - "8080:8080"
      - "9000:9000"

